package org.jeecg.modules.adweb.enquiry.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @Description: matoto @Author: jeecg-boot @Date: 2022-02-22 @Version: V1.0
 */
@Data
@TableName("adweb_matomo")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description = "matoto")
public class AdwebMatomo implements Serializable {
  private static final long serialVersionUID = 1L;

  /** 主键 */
  @TableId(type = IdType.AUTO)
  @Schema(description = "主键")
  private Integer id;

  /** 创建日期 */
  @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  @Schema(description = "创建日期")
  private Date createTime;

  /** 用户id */
  @Excel(name = "用户id", width = 15)
  @Schema(description = "用户id")
  private String uid;

  /** 系统站点id */
  @Excel(name = "系统站点id", width = 15)
  @Schema(description = "系统站点id")
  private Integer siteId;

  /** matomo站点id */
  @Excel(name = "matomo站点id", width = 15)
  @Schema(description = "matomo站点id")
  private Integer mmSiteId;

  /** matotoCode */
  @Excel(name = "matotoCode", width = 15)
  @Schema(description = "matotoCode")
  private String mmCode;

  /** 删除状态（0：删除；1：正常） */
  @Excel(name = "删除状态（0：删除；1：正常）", width = 15)
  @Schema(description = "删除状态（0：删除；1：正常）")
  private Integer isDel;
}
