package org.jeecg.modules.adweb.enquiry.service;

import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;
import org.jeecg.modules.adweb.enquiry.dto.matomo.MatomoBrowsingEnquiryIdDto;
import org.jeecg.modules.adweb.enquiry.entity.AdwebMatomo;

/**
 * @Description: matoto @Author: Cyan @Date: 2022-07-27 @Version: V1.0
 */
public interface IAdwebMatomoService extends IService<AdwebMatomo> {

  /**
   * 根据询盘Id获取网站浏览记录
   *
   * @param enquiryId
   * @return
   */
  List<MatomoBrowsingEnquiryIdDto> getMatomoWebTrackFromEnquiryId(String enquiryId);

  /**
   * 根据网站id获取Matomo网站浏览记录
   *
   * @param siteId
   * @return
   * @throws
   */
  List<MatomoBrowsingEnquiryIdDto> getMatomoSiteTrackFromSiteId(String siteId);
}
