package org.jeecg.modules.adweb.quota.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.v3.oas.annotations.media.Schema;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;

/**
 * @Description: adweb_resource_quota
 * @Author: jeecg-boot
 * @Date: 2025-01-07
 * @Version: V1.0
 */
@Data
@TableName("adweb_resource_quota")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description = "adweb_resource_quota")
public class ResourceQuota implements Serializable {
    private static final long serialVersionUID = 1L;

    /** id */
    @TableId(type = IdType.AUTO)
    @Schema(description = "id")
    private Integer id;

    /** 用户ID,与用户表关联 */
    @Excel(name = "用户ID,与用户表关联", width = 15)
    @Schema(description = "用户ID,与用户表关联")
    private String uid;

    /** 临时站点额度 */
    @Excel(name = "临时站点额度", width = 15)
    @Schema(description = "临时站点额度")
    private Integer websiteQuota;

    /** AI算力额度 */
    @Excel(name = "AI算力额度", width = 15)
    @Schema(description = "AI算力额度")
    private Integer aiPowerQuota;

    /** 外贸大数据额度 */
    @Excel(name = "外贸大数据额度", width = 15)
    @Schema(description = "外贸大数据额度")
    private Integer customsDataQuota;

    /** 外贸大数据用量 */
    @Excel(name = "外贸大数据用量", width = 15)
    @Schema(description = "外贸大数据用量")
    private Integer customsDataUsage;

    /** 创建时间 */
    @Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建时间")
    private java.util.Date ctime;

    /** 修改时间 */
    @Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "修改时间")
    private java.util.Date utime;
}
